function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React, { memo, forwardRef } from 'react';
import { Modal } from '../../composites/Modal';
import { usePropsResolution } from '../../../hooks';
import { ActionSheetContext } from './ActionSheetContext';
import { Platform } from 'react-native';

const Actionsheet = ({
  children,
  hideDragIndicator = false,
  ...props
}, ref) => {
  const {
    isOpen,
    disableOverlay,
    onClose,
    ...resolvedProps
  } = usePropsResolution('Actionsheet', props); //Fixing overlay position for Web due to scrollView issue

  let overlayStyle = Platform.OS === 'web' ? {
    position: 'fixed'
  } : {};
  return /*#__PURE__*/React.createElement(Modal, _extends({
    isOpen: isOpen,
    onClose: onClose
  }, resolvedProps, {
    _overlay: {
      style: overlayStyle,
      ...(resolvedProps === null || resolvedProps === void 0 ? void 0 : resolvedProps._overlay)
    },
    overlayVisible: disableOverlay ? false : true,
    closeOnOverlayClick: disableOverlay ? false : true,
    ref: ref,
    size: "full"
  }), /*#__PURE__*/React.createElement(ActionSheetContext.Provider, {
    value: {
      hideDragIndicator
    }
  }, children));
};

export default /*#__PURE__*/memo( /*#__PURE__*/forwardRef(Actionsheet));
//# sourceMappingURL=Actionsheet.js.map