export declare const SliderTrack: {
    baseStyle: () => {
        borderRadius: string;
        overflow: string;
        _pressable: {
            alignItems: string;
            justifyContent: string;
        };
        _light: {
            bg: string;
        };
        _dark: {
            bg: string;
        };
    };
    variants: {
        horizontal: {
            px: string;
            width: string;
            height: number;
            _pressable: {
                width: string;
            };
        };
        vertical: {
            py: string;
            height: string;
            width: number;
            _pressable: {
                height: string;
            };
        };
    };
};
export declare const SliderThumb: {
    baseStyle: (props: any) => {
        borderRadius: string;
        zIndex: number;
        alignItems: string;
        justifyContent: string;
        scaleOnPressed: number;
        _interactionBox: {
            position: string;
            borderRadius: string;
            zIndex: number;
        };
        _stack: {
            direction: string;
            alignItems: string;
            justifyContent: string;
        };
        _light: {
            bg: string;
            _hover: {
                _web: {
                    outlineWidth: string;
                    outlineColor: any;
                    outlineStyle: string;
                };
            };
            _focus: {
                _web: {
                    outlineWidth: string;
                    outlineColor: any;
                    outlineStyle: string;
                };
            };
            _pressed: {
                _interactionBox: {
                    borderWidth: string;
                    borderColor: string;
                };
            };
        };
        _dark: {
            bg: string;
            _hover: {
                _web: {
                    outlineWidth: string;
                    outlineColor: any;
                    outlineStyle: string;
                };
            };
            _focus: {
                _web: {
                    outlineWidth: string;
                    outlineColor: any;
                    outlineStyle: string;
                };
            };
            _pressed: {
                _interactionBox: {
                    borderWidth: string;
                    borderColor: string;
                };
            };
        };
        _web: {
            cursor: string;
        };
    };
    defaultProps: {
        colorScheme: string;
    };
    sizes: {
        lg: {
            _interactionBox: string;
        };
        md: {
            _interactionBox: string;
        };
        sm: {
            _interactionBox: string;
        };
    };
};
export declare const SliderFilledTrack: {
    baseStyle: ({ colorScheme }: any) => {
        _light: {
            bg: string;
        };
        _dark: {
            bg: string;
        };
    };
    defaultProps: {
        colorScheme: string;
    };
    variants: {
        vertical: {
            bottom: number;
            _reversed: {
                top: number;
                bottom: undefined;
            };
        };
        horizontal: {
            left: number;
            _reversed: {
                right: number;
                left: undefined;
            };
        };
    };
};
export declare const Slider: {
    baseStyle: {
        alignItems: string;
        justifyContent: string;
        _disabled: {
            opacity: number;
            _web: {
                cursor: string;
            };
        };
    };
    defaultProps: {
        size: string;
        variant: string;
        colorScheme: string;
    };
    sizes: {
        lg: {
            thumbSize: number;
            sliderTrackHeight: number;
            _interactionBox: {
                p: string;
            };
        };
        md: {
            thumbSize: number;
            sliderTrackHeight: number;
            _interactionBox: {
                p: string;
            };
        };
        sm: {
            thumbSize: number;
            sliderTrackHeight: number;
            _interactionBox: {
                p: string;
            };
        };
    };
    variants: {
        vertical: {
            height: string;
        };
        horizontal: {
            width: string;
        };
    };
};
